import { TypeValidation } from './TypeValidation/TypeValidation';
import { PathType } from './TypeValidation/PathType';

export const types: Record<OptionType, TypeValidation> = {
  string:  new TypeValidation ('string'),
  number:  new TypeValidation ('number'),
  boolean: new TypeValidation ('boolean'),
  file:    new PathType ('file'),
  folder:  new PathType ('folder'),
  path:    new PathType ('path'),
  array:   new TypeValidation ('array')
};
